### Method

# Adw PreferencesWindowset_visible_page_name

#### Declaration [src]

    void
    adw_preferences_window_set_visible_page_name (
      AdwPreferencesWindow* self,
      const char* name
    )

#### Description [src]

Makes the page with the given name visible.

See `AdwPreferencesWindow:visible-page`.

Sets property | `Adw.PreferencesWindow:visible-page-name`

#### Parameters

`name`

  Type: `const char*`

  The name of the page to make visible.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.